org.gradle.api.credentials

## Interface AwsCredentials

- All Superinterfaces:
    Credentials

      @Incubating
      public interface AwsCredentials
      extends Credentials

  Represents credentials used to authenticate with Amazon Web Services.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAccessKey()` Returns the access key to use to authenticate with AWS.
    `String` | `getSecretKey()` Returns the secret key to use to authenticate with AWS.
    `String` | `getSessionToken()` Returns the secret key to use to authenticate with AWS.
    `void` | `setAccessKey(String accessKey)` Sets the access key to use to authenticate with AWS.
    `void` | `setSecretKey(String secretKey)` Sets the secret key to use to authenticate with AWS.
    `void` | `setSessionToken(String token)` Sets the secret key to use to authenticate with AWS.

- - ### Method Detail

    - #### getAccessKey

          String getAccessKey()

      Returns the access key to use to authenticate with AWS.

    - #### setAccessKey

          void setAccessKey(String accessKey)

      Sets the access key to use to authenticate with AWS.

    - #### getSecretKey

          String getSecretKey()

      Returns the secret key to use to authenticate with AWS.

    - #### setSecretKey

          void setSecretKey(String secretKey)

      Sets the secret key to use to authenticate with AWS.

    - #### getSessionToken

          String getSessionToken()

      Returns the secret key to use to authenticate with AWS.
      Since:
        3.3

    - #### setSessionToken

          void setSessionToken(String token)

      Sets the secret key to use to authenticate with AWS.
      Since:
        3.3